package org.bitbucket.bradleysmithllc.etlunit.parser;

import java.util.List;

public interface ETLTestMethod extends ETLTestAnnotated, ETLTestDescribed
{
	enum method_type
	{
		before_class,
		after_class,
		before_test,
		after_test,
		test
	}

	String getName();

	String getQualifiedName();

	boolean requiresPurge();

	method_type getMethodType();

	ETLTestClass getTestClass();

	List<ETLTestOperation> getOperations();
}